Print Composer: Scalebar box vertically resizes itself after change to other Item elements
Status: Closed

Priority: Normal

Assignee:

Category: Map Composer/Printing

Affected QGIS version:2.2.0 Regression?: No

Operating System: Fedora 21 Easy fix?: No

Pull Request or Patch supplied:No Resolution:

Crashes QGIS or corrupts data:No Copied to github as #: 18878

Description

When adding a scalebar element to a map in the Print Composer, the default is that there is very little whitespace between the bottom of

the scalebar and the border of the scalebar box. The user can adjust this to add space, but if another item box (such as legend, label,

etc.) is adjusted on the page (such as moved or resized), the scalebar reverts to its original spacing and removes the whitespace.

However, it doesn't always do this behaviour after every manipulation, it appears to be random.

It can be frustrating because if all the elements on a map have been carefully arranged to line up with each other, the sudden resizing of

the scalebar box will look off, and sometimes it's not immediately apparent until after the final export.

I've noticed this issue since v 1.8.

Associated revisions

Revision 4abaf60a - 2014-10-27 12:13 PM - Nyall Dawson

[composer] Don't shrink scalebar height when updating

Previously any update of a scalebar would reset it's height to

the minimum height allowed. Now, if the user has set a height

greater than this minimum than that height is kept. (fix #10466)

History

#1 - 2014-06-04 03:13 PM - kilo lima

Fedora 20, not 21.

#2 - 2014-10-27 04:18 AM - Nyall Dawson

- Status changed from Open to Closed

Fixed in changeset commit:"4abaf60a1118b4e77718c88ac237ebaee5e72290".
